# what it's called on pypi
%global srcname repomd
# what it's imported as
%global libname %{srcname}
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname %{srcname}

%global _description \
This library provides an object-oriented interface to get information out of\
dnf/yum repositories.

%bcond_without tests


Name:           python-%{pkgname}
Version:        0.1.0
Release:        1%{?dist}
Summary:        Library for reading dnf/yum repositories
License:        MIT
URL:            https://github.com/carlwgeorge/repomd
Source0:        %pypi_source
BuildArch:      noarch


%description %{_description}


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools >= 38.6.0
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-lxml
%endif
Requires:       python3-lxml
%{?python_provide:%python_provide python3-%{pkgname}}


%description -n python3-%{pkgname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
rm -r source/%{eggname}.egg-info setup.cfg


%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose tests
%endif


%files -n python3-%{pkgname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{libname}.py
%{python3_sitelib}/__pycache__/%{libname}.cpython-%{python3_version_nodots}*.py*
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Oct 27 2018 Carl George <carl@george.computer> - 0.1.0-1
- Initial package
